Module tdlight.api
Package it.tdlight.jni

# Class TdApi.KeyboardButtonTypeRequestPoll

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.KeyboardButtonType
it.tdlight.jni.TdApi.KeyboardButtonTypeRequestPoll

Enclosing class:
  TdApi

public static final class TdApi.KeyboardButtonTypeRequestPoll extends TdApi.KeyboardButtonType
A button that allows the user to create and send a poll when pressed; available only in private chats.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`forceQuiz`
If true, only polls in quiz mode must be allowed to create.
`boolean`
`forceRegular`
If true, only regular polls must be allowed to create.

## Constructor Summary

Constructors
Constructor
Description
`KeyboardButtonTypeRequestPoll()`
A button that allows the user to create and send a poll when pressed; available only in private chats.
`KeyboardButtonTypeRequestPoll(boolean forceRegular, boolean forceQuiz)`
A button that allows the user to create and send a poll when pressed; available only in private chats.
`KeyboardButtonTypeRequestPoll(DataInput input)`
A button that allows the user to create and send a poll when pressed; available only in private chats.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### forceRegular

public boolean forceRegular
If true, only regular polls must be allowed to create.

### forceQuiz

public boolean forceQuiz
If true, only polls in quiz mode must be allowed to create.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### KeyboardButtonTypeRequestPoll

public KeyboardButtonTypeRequestPoll()
A button that allows the user to create and send a poll when pressed; available only in private chats.

### KeyboardButtonTypeRequestPoll

public KeyboardButtonTypeRequestPoll(boolean forceRegular, boolean forceQuiz)
A button that allows the user to create and send a poll when pressed; available only in private chats.

Parameters:
  `forceRegular` - If true, only regular polls must be allowed to create.
  `forceQuiz` - If true, only polls in quiz mode must be allowed to create.

### KeyboardButtonTypeRequestPoll

public KeyboardButtonTypeRequestPoll(DataInput input) throws IOException
A button that allows the user to create and send a poll when pressed; available only in private chats.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`